﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using Infragistics.Web.UI.GridControls;
using Infragistics.Web.UI.ListControls;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Init(object sender, EventArgs e)
    {
    }

    protected void Page_Load(object sender, EventArgs e)
    {
		WebDataGrid1.DataSource = GetEmployees();
    }

	private void FillIndRoleAttribDropDown(WebDropDown control)
	{
		control.DataSource = GetData();
		control.ValueField = "IR_ATTR_TYPE_CDE";
		control.TextField = "DESCR";

		control.DataBind();

		/*if (!string.IsNullOrEmpty(tmpAttr.IR_ATTR_TYPE_CDE))
			control.SelectedItemIndex =
				types.Select(r => r.IR_ATTR_TYPE_CDE).ToList().IndexOf(tmpAttr.IR_ATTR_TYPE_CDE);
		else
			control.Items.Insert(0, new DropDownItem(PrfUIConstants.AdditionalItmes.NotSelected, string.Empty));*/
	}
	protected void WebDataGrid1_InitializeRow(object sender, RowEventArgs e)
	{
		WebDropDown wdd = WebDataGrid1.EditorProviders[0].GetEditor() as WebDropDown;
		wdd.EnableDropDownAsChild = false;
		FillIndRoleAttribDropDown(wdd);
	}

	#region TestData
	private DataTable GetEmployees(int count = 24)
	{
		DataTable dtData = new DataTable("Employees");

		dtData.Columns.Add("EmployeeID", typeof(int));
		dtData.Columns.Add("Name", typeof(string));
		dtData.Columns.Add("OnSite", typeof(bool));
		dtData.Columns.Add("DateOfHire", typeof(DateTime));
		dtData.Columns.Add("Department", typeof(int));

		for (int i = 0; i < count; i++)
		{
			dtData.Rows.Add(new object[] { i, string.Format("Name {0}", i), (i % 2 == 0), DateTime.Today.Date.AddDays(-1 * i), i % 8 });
		}

		dtData.PrimaryKey = new DataColumn[] { dtData.Columns["EmployeeID"] };

		return dtData;
	}

	public DataTable GetData()
	{
		DataTable dtData = new DataTable("Data");
		int rows = 70;

		dtData.Columns.Add("IR_ATTR_TYPE_CDE", typeof(int));
		dtData.Columns.Add("DESCR", typeof(string));

		for (int i = 0; i < rows; i++)
		{
			dtData.Rows.Add(new object[] { i, string.Format("Desc {0}", i) });
		}

		dtData.PrimaryKey = new DataColumn[] { dtData.Columns["IR_ATTR_TYPE_CDE"] };

		return dtData;
	}
    #endregion
}